params = 3;

% min s_2 : -.4933
% max s_2 : -.4640
if params == 1
    Tc = -10;
    turnPoint = .35;
    Q = 321;
    A = 170;
    B = 1.5;
    C = 2.25;
    alpha_w = .35;
    alpha_i = .45;
    alpha_s = .8;
    s_2 = -.482;
end 

if params ==2
    Tc = -10;
    turnPoint = .35;
    Q = 321;
    A = 170;
    B = 1.5;
    C = 2.25;
    alpha_w = .35;
    alpha_i = .45;
    alpha_s = .8;
    s_2 = -.4640;
end

if params == 3
    Tc = -10;
    turnPoint = .35;
    Q = 321;
    A = 170;
    B = 1.5;
    C = 2.25;
    alpha_w = .35;
    alpha_i = .45;
    alpha_s = .8;
    s_2 = -.4933;
end

if params == 3
    Tc = -10;
    turnPoint = .35;
    Q = 321;
    A = 170;
    B = 1.5;
    C = 2.25;
    alpha_w = .35;
    alpha_i = .45;
    alpha_s = .8;
    s_2 = -.4933;
end

D = 0;
e = 2*Q*(alpha_s - alpha_w)/(B+C);
d = Q*s_2*(1-alpha_w)/(B+C);
u_2 = Q*s_2*(1-alpha_w)/(B+C);
w_2 = Q*s_2*(1-alpha_s)/(B+C);
alpha_0 = (alpha_s + alpha_w)/2;


X =0:.001:1;
[n,m] = size(X);
Y = zeros(size(X));
Z = zeros(size(X));
W = zeros(size(X));

%Plots h
for i=1:m,
   W(i) = a(Q,alpha_s,alpha_i,alpha_w,A,B,C,e,d,u_2,w_2,s_2,turnPoint,X(i));
end

for i=1:m,
   Y(i) = h(Q,alpha_s,alpha_i,alpha_w,alpha_0,A,B,C,e,d,u_2,w_2,s_2,turnPoint,X(i),Tc,D);
end

for i=1:m,
   Z(i) = mu(Q,alpha_s,alpha_i,alpha_w,B,C,e,d,u_2,w_2,s_2,turnPoint,X(i));
end

%{
figure 
h_plot = plot(X,Y);
hline = refline(0,0);
set(hline,'Color','r');
xlabel('eta')
ylabel('h(eta)')
title(sprintf('params = %i',params))
% title('h(eta) vs eta (Fast-Slow Result)')
% set(gcf,'PaperUnits','inches','PaperPosition',[0 0 12 8])
% set(0, 'DefaultTextFontSize',22)
% set(0, 'DefaultAxesFontSize',22)
% print -r600 -dpng fast-slow.png
%}

hplot = figure(1);
h_plot = plot(X,Y);
hline = refline(0,0);
set(hline,'Color','r');
xlab = xlabel('\eta');
ylab = ylabel('h(\eta)');
titleStr = strcat('h(','\eta',') vs ',' \eta',' (Abbot''s Albedo Function, Analytical Approximation)');
tlab = title(titleStr);
set(xlab,'interpreter','tex');
set(ylab,'interpreter','tex');
set(tlab,'interpreter','tex');
set(hplot, 'Position', [0 0 800 600]);
set(0, 'DefaultTextFontSize',10);
set(0, 'DefaultAxesFontSize',10);
print -r150 -dpng hAbbotAnRes.png

